/******************************************************************************
 * FILE: L_gpio.c
 *
 * DESCRIPTION:
 *
 * AUTHOR: Rohit Pandita
 * University of Minnesota 
 * Aerospace Engineering and Mechanics 
 * Copyright 2011 Regents of the University of Minnesota. All rights reserved.
 *
 * $Id: gpio.c 332 2011-04-14 18:43:14Z murch $
 ******************************************************************************/

#include <cyg/io/mpc5xxx_gpio.h>

#define GPIO_ENABLE_CHANNEL		1
#define GPIO_DISABLE	0
#define GPIO_DR_INPUT	1
#define GPIO_DR_OUTPUT	0
#define GPIO_OUT_LOW	0
#define GPIO_OUT_HIGH	1
#define GPIO_IN_LOW		0
#define GPIO_IN_HIGH	1

void GPIO_GPS_EnableChannel(cyg_uint32 uChannel,BOOL enable);	//GPS Simple GPIO Enables Register
void GPIO_GPS_EnOpenDrain(cyg_uint32 uChannel,BOOL enable);
void GPIO_GPS_SetDirection(cyg_uint32 uChannel,BOOL bInput);
void GPIO_GPS_Output(cyg_uint32 uChannel,BOOL bHigh);



void gpio_init(void)
{
	/* Init GPIO channels */
	GPIO_GPW_EnableGPIO (MPC5XXX_GPS_USB1_7, GPIO_ENABLE_CHANNEL);
	GPIO_GPW_SetDirection (MPC5XXX_GPS_USB1_7, GPIO_DR_OUTPUT);

	GPIO_GPW_EnableGPIO (MPC5XXX_GPS_USB1_6, GPIO_ENABLE_CHANNEL);
	GPIO_GPW_SetDirection (MPC5XXX_GPS_USB1_6, GPIO_DR_OUTPUT);
	
	GPIO_GPW_EnableGPIO (MPC5XXX_GPW_GPIO_WKUP_7, GPIO_ENABLE_CHANNEL);
	GPIO_GPW_SetDirection (MPC5XXX_GPW_GPIO_WKUP_7, GPIO_DR_INPUT);
	
	GPIO_GPW_EnableGPIO (MPC5XXX_GPW_GPIO_WKUP_6, GPIO_ENABLE_CHANNEL);
	GPIO_GPW_SetDirection (MPC5XXX_GPW_GPIO_WKUP_6, GPIO_DR_INPUT);
/*
	GPIO_GPS_EnableChannel (MPC5XXX_GPS_USB1_8, TRUE);
	GPIO_GPS_SetDirection (MPC5XXX_GPS_USB1_8, FALSE);
	GPIO_GPW_EnableChannel (MPC5XXX_GPS_USB1_7, TRUE);
*/
	/*channels MPC5XXX_GPS_IRDA_TX,
	#define MPC5XXX_GPS_USB1_8		0x80000
	#define MPC5XXX_GPS_USB1_7		0x40000
	#define MPC5XXX_GPS_USB1_6		0x20000
	#define MPC5XXX_GPS_USB1_0		0x10000
	*/

}
